using IWS5.Core.DTO;

namespace IWS5.Importer.Abstractions.Interfaces;

public interface IWorkItemProcessor
{
    void ProcessingFolderFiles(string processFolderPath, List<ProcessDto>? processInfo, CancellationToken stoppingToken);
    Task ProcessWorkItemSubfolder(string workItemFolder, Dictionary<string, Dictionary<string, string>> processXmlData, CancellationToken stoppingToken);
}
